Drop Collection Properties (V2)
This operation drops the properties of a collection.
The base URL for this API is in the following format:
https://${CLUSTER_ENDPOINT}
- You need to fill in
${CLUSTER_ENDPOINT}with that of your Zilliz Cloud cluster. - To get the endpoint, use the Describe Cluster V2 API to extract the values from the responses.
export CLUSTER_ENDPOINT=""
The authentication token should be an API key with appropriate privileges or a pair of colon-joined username and password, like username:password. If you are using a project endpoint, only a valid API key with sufficient permissions applies.
The name of the database which the collection belongs to. Setting this to a non-existing database results in an error. If not specified, the default database applies.
The name of the target collection. Setting this to a non-existing collection results in an error.
The names of the properties to drop.
The name of the property to drop.
export TOKEN="db_admin:xxxxxxxxxxxxx"
curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/collections/drop_properties" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Content-Type: application/json" \
-d '{
"collectionName": "test_collection",
"propertyKeys": [
"mmap.enabled"
]
}'
Response code.
Returns an error message.
Response code.
Error message.
{
"code": 0,
"cost": 0,
"data": {}
}